<div class="register-box">
  <div class="register-logo">
    <a href="/"><b>eDoctor</b></a>
  </div>

  <div class="register-box-body">
    <p class="login-box-msg">Register a new account</p>

    <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
      <%= devise_error_messages! %>
      <div class="form-group has-feedback">
        <div class="row">
          <div class="col-xs-6">
            <%= f.text_field :first_name, autofocus: true, class: 'form-control', placeholder: 'First name', required: true %>
          </div>
          <div class="col-xs-6">
            <%= f.text_field :last_name, autofocus: true, class: 'form-control', placeholder: 'Last name', required: true %>
          </div>
        </div>
      </div>
      <div class="form-group has-feedback">
        <%= f.email_field :email, class: 'form-control', placeholder: 'Email', required: true %>
        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <%= f.password_field :password, autocomplete: "off", class: 'form-control', placeholder: 'Password', pattern: ".{8,}", title: "8 characters minimum", required: true %>
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <%= f.password_field :password_confirmation, autocomplete: "off", class: 'form-control', placeholder: 'Retype password', pattern: ".{8,}", title: "8 characters minimum", required: true %>
        <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
          <div class="checkbox icheck">
            <label>
              <input type="checkbox"> I agree to the <a href="#">terms</a>
            </label>
          </div>
        </div>
        <!-- /.col -->
        <div class="col-xs-4">
          <button type="submit" class="btn btn-primary btn-block btn-flat">Register</button>
        </div>
        <!-- /.col -->
      </div>
    <% end %>

    <div class="social-auth-links text-center">
      <p>- OR -</p>
      <a href="#" class="btn btn-block btn-social btn-facebook btn-flat"><i class="fa fa-facebook"></i> Sign up using
        Facebook</a>
      <a href="#" class="btn btn-block btn-social btn-google btn-flat"><i class="fa fa-google-plus"></i> Sign up using
        Google+</a>
    </div>

    <%= link_to 'Login', new_user_session_path, class: 'text-center' %>
  </div>
  <!-- /.form-box -->
</div>
<!-- /.register-box -->

<script>
  $(function () {
    $('input').iCheck({
      checkboxClass: 'icheckbox_square-blue',
      radioClass: 'iradio_square-blue',
      increaseArea: '20%' // optional
    });
  });
</script>
